//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated by a tool.
//     Runtime Version:4.0.30319.42000
//
//     Changes to this file may cause incorrect behavior and will be lost if
//     the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace Tecan.Sila2.Interop.Client.RecoverableErrorProvider
{
    
    
    /// <summary>
    /// Contains an observable command that raises a recoverable error for testing the "Error Recovery Service" core feature (v 2.0).
    /// </summary>
    [Tecan.Sila2.SilaFeatureAttribute(true, "test")]
    [Tecan.Sila2.SilaIdentifierAttribute("RecoverableErrorProvider")]
    [Tecan.Sila2.SilaDisplayNameAttribute("Recoverable Error Provider")]
    public partial interface IRecoverableErrorProvider
    {
        
        /// <summary>
        /// Raises a recoverable error with the error message 'SiLA 2 recoverable error for test' after the specified duration containing the
        /// following continuation options:
        /// - Identifier = 'OptionA', Description = 'Recover the error by choosing option A',
        /// - Identifier = 'OptionB', Description = 'Recover the error by choosing option B',
        /// - Identifier = 'OptionC', Description = 'Recover the error by choosing option C'
        /// and OptionB marked as the default option.
        /// Returns the identifier of the continuation option which has been selected to handle the error.
        /// </summary>
        /// <param name="durationUntilError">The duration in seconds before the recoverable error is raised.</param>
        /// <param name="automaticExecutionTimeout">The duration in seconds after the specified default option is automatically selected (0 means no automatic execution).</param>
        /// <returns>The identifier of the continuation option which has been selected to handle the error.</returns>
        [Tecan.Sila2.ObservableAttribute()]
        [return: Tecan.Sila2.SilaIdentifierAttribute("SelectedContinuationOption")]
        Tecan.Sila2.IObservableCommand<string> RaiseRecoverableError([Tecan.Sila2.UnitAttribute("s", Second=1)] [Tecan.Sila2.MinimalInclusiveAttribute(0D)] long durationUntilError, [Tecan.Sila2.UnitAttribute("s", Second=1)] [Tecan.Sila2.MinimalInclusiveAttribute(0D)] long automaticExecutionTimeout);
    }
}
